
Figure - Bug #113504
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】mini状态下进入recent，退出时，小窗未保持进入前的状态
2022-11-01 16:40 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0042.X101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211040348

Reproducibility: Every time Fixed Version: 2022-11-04

Test Type: IT Root cause: 退出recent只恢复了小窗没有恢复状态

Description

【前提条件】

1、设备已开机

2、后台有应用

【测试步骤】（以图库为例）

1、打开图库

2、进入mini模式

3、进入任务管理器

4、退出任务管理器

5、观察刚打开的小窗

【预期结果】

5、小窗仍保持在同一位置且为mini模式

【实际结果】

5、小窗变为正常模式，且当mini小窗在屏幕下方时，进入再退出recent，小窗显示不完整

History

#1 - 2022-11-02 16:56 - DL FW-张挽强

- Status changed from New to ASSIGNED

- % Done changed from 0 to 70

- Root cause set to 退出recent只恢复了小窗没有恢复状态

■ Current conclusion

修改代码，记录进入recent前小窗的缩放比，退出后回复

■ My analysis

退出recent只恢复了小窗没有恢复状态

■ Next action

编译验证

#2 - 2022-11-03 13:26 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED
- Resolution changed from -- to FIXED

#3 - 2022-11-03 13:26 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 70 to 100

- Fixed Version set to 2022-11-04

#4 - 2022-11-04 15:07 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211040348

11.4 验证通过

#5 - 2022-11-04 15:07 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#6 - 2022-12-22 20:48 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159634 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow:fixed displayed erro when entering the recent exit mode in the mini state1.Modify the freeform state when exit recentTC-RID:

1201-0204601IssueID: TS-R-BUG-113504Change-Id: Ic01f11c07b4a381d9004cf61e536356619b009d1
